package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmPrmExperienceScoreForm extends HrmBaseForm {
  String[] txtAccBasis;
  
  String[] txtMonthsExp;
  
  String[] txtPointsAwarded;
  
  String selectAll;
  
  String disabtxtMinExp;
  
  String disabtxtMaxExp;
  
  String disabtxtAccBasis;
  
  String disabtxtMonthsExp;
  
  String disabtxtPointsAwarded;
  
  String disabselectAll;
  
  ArrayList aryLstDtlBean = new ArrayList();
  
  String[] startField;
  
  String[] endField;
  
  private String gradeCode;
  
  private String butGrade;
  
  private String disabbutGrade;
  
  private String gradeDesc;
  
  private String desigCode;
  
  private String butDesig;
  
  private String disabbutDesig;
  
  private String desigDesc;
  
  private String designationId;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String[] getTxtAccBasis() {
    return this.txtAccBasis;
  }
  
  public void setTxtAccBasis(String[] newTxtAccBasis) {
    this.txtAccBasis = newTxtAccBasis;
  }
  
  public String[] getTxtMonthsExp() {
    return this.txtMonthsExp;
  }
  
  public void setTxtMonthsExp(String[] newTxtMonthsExp) {
    this.txtMonthsExp = newTxtMonthsExp;
  }
  
  public String[] getTxtPointsAwarded() {
    return this.txtPointsAwarded;
  }
  
  public void setTxtPointsAwarded(String[] newTxtPointsAwarded) {
    this.txtPointsAwarded = newTxtPointsAwarded;
  }
  
  public String getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public String getDisabtxtMinExp() {
    return this.disabtxtMinExp;
  }
  
  public void setDisabtxtMinExp(String newDisabtxtMinExp) {
    this.disabtxtMinExp = newDisabtxtMinExp;
  }
  
  public String getDisabtxtMaxExp() {
    return this.disabtxtMaxExp;
  }
  
  public void setDisabtxtMaxExp(String newDisabtxtMaxExp) {
    this.disabtxtMaxExp = newDisabtxtMaxExp;
  }
  
  public String getDisabtxtAccBasis() {
    return this.disabtxtAccBasis;
  }
  
  public void setDisabtxtAccBasis(String newDisabtxtAccBasis) {
    this.disabtxtAccBasis = newDisabtxtAccBasis;
  }
  
  public String getDisabtxtMonthsExp() {
    return this.disabtxtMonthsExp;
  }
  
  public void setDisabtxtMonthsExp(String newDisabtxtMonthsExp) {
    this.disabtxtMonthsExp = newDisabtxtMonthsExp;
  }
  
  public String getDisabtxtPointsAwarded() {
    return this.disabtxtPointsAwarded;
  }
  
  public void setDisabtxtPointsAwarded(String newDisabtxtPointsAwarded) {
    this.disabtxtPointsAwarded = newDisabtxtPointsAwarded;
  }
  
  public String getDisabselectAll() {
    return this.disabselectAll;
  }
  
  public void setDisabselectAll(String newDisabselectAll) {
    this.disabselectAll = newDisabselectAll;
  }
  
  public ArrayList getAryLstDtlBean() {
    return this.aryLstDtlBean;
  }
  
  public void setAryLstDtlBean(ArrayList newAryLstDtlBean) {
    this.aryLstDtlBean = newAryLstDtlBean;
  }
  
  public String[] getStartField() {
    return this.startField;
  }
  
  public void setStartField(String[] newStartField) {
    this.startField = newStartField;
  }
  
  public String[] getEndField() {
    return this.endField;
  }
  
  public void setEndField(String[] newEndField) {
    this.endField = newEndField;
  }
  
  public String getGradeCode() {
    return this.gradeCode;
  }
  
  public void setGradeCode(String newGradeCode) {
    this.gradeCode = newGradeCode;
  }
  
  public String getButGrade() {
    return this.butGrade;
  }
  
  public void setButGrade(String newButGrade) {
    this.butGrade = newButGrade;
  }
  
  public String getDisabbutGrade() {
    return this.disabbutGrade;
  }
  
  public void setDisabbutGrade(String newDisabbutGrade) {
    this.disabbutGrade = newDisabbutGrade;
  }
  
  public String getGradeDesc() {
    return this.gradeDesc;
  }
  
  public void setGradeDesc(String newGradeDesc) {
    this.gradeDesc = newGradeDesc;
  }
  
  public String getDesigCode() {
    return this.desigCode;
  }
  
  public void setDesigCode(String newDesigCode) {
    this.desigCode = newDesigCode;
  }
  
  public String getButDesig() {
    return this.butDesig;
  }
  
  public void setButDesig(String newButDesig) {
    this.butDesig = newButDesig;
  }
  
  public String getDisabbutDesig() {
    return this.disabbutDesig;
  }
  
  public void setDisabbutDesig(String newDisabbutDesig) {
    this.disabbutDesig = newDisabbutDesig;
  }
  
  public String getDesigDesc() {
    return this.desigDesc;
  }
  
  public void setDesigDesc(String newDesigDesc) {
    this.desigDesc = newDesigDesc;
  }
  
  public String getDesignationId() {
    return this.designationId;
  }
  
  public void setDesignationId(String newDesignationId) {
    this.designationId = newDesignationId;
  }
}
